Bug 661931 - Cannot type Japanese characters after enlarging font in kwrite application
Summary: Cannot type Japanese characters after enlarging font in kwrite application
Keywords:
Status: CLOSED WORKSFORME
Alias: None
Product: Fedora
Classification: Fedora
Component: ibus-hangul
Version: 14
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Daiki Ueno
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-12-10 01:33 UTC by Kenichi Takemura
Modified: 2014-08-04 22:03 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-03-02 08:24:28 UTC


Attachments (Terms of Use)

Description Kenichi Takemura 2010-12-10 01:33:45 UTC
Description of problem:

I cannot type Japanese characters, actually I can type keys but echos do not come out in Kwrite after I operate 'View' -> 'Enlarge Font'.

When I produced this bug, I used Ibus on Janapese desktop and kwrite(with Japanese translation). There may be other cases to produce this bug.

Version-Release number of selected component (if applicable):
ibus-qt-1.3.1-3.fc14.x86_64
ibus-gtk2-1.3.7-14.fc14.x86_64
ibus-table-1.3.0.20100621-3.fc14.noarch
ibus-1.3.7-14.fc14.x86_64
ibus-pinyin-1.3.11-1.fc14.x86_64
ibus-m17n-1.3.1-6.fc14.x86_64
ibus-sayura-1.3.0.20100716-2.fc14.x86_64
ibus-anthy-1.2.5-1.fc14.x86_64
ibus-table-cangjie-1.2.0.20100210-17.fc14.noarch
ibus-rawcode-1.3.1.20100707-1.fc14.x86_64
ibus-chewing-1.3.7.20100910-1.fc14.x86_64
ibus-hangul-1.3.0.20100329-3.fc14.x86_64
ibus-pinyin-db-android-1.3.11-1.fc14.noarch
ibus-libs-1.3.7-14.fc14.x86_64

kdebase-4.5.3-1.fc14.x86_64
kde-i18n-Korean-3.5.10-12.fc13.noarch
kde-l10n-4.5.3-1.fc14.noarch
kde-l10n-Japanese-4.5.3-1.fc14.noarch

How reproducible:
Some time happens.

Steps to Reproduce:
1. Login Japanese Gonme Desktop
2. Open Kwrite
3.  'View' -> 'Enlarge Font'.
4. Trun Ibus-anthy on
5. Type something

Actual results:
Cannot type anything other than space.

Expected results:
Be able to type

Additional info:
Maybe likelihood of reproducing by steps provided would be lower so be patient..
There may be other steps to produce this bug.
I confirm this occurs with ibus-hangul.

Comment 1 Daiki Ueno 2010-12-10 03:34:16 UTC
I can reproduce this with ibus-hangul and ibus-anthy, though it is likely a bug of other component (kwrite or ibus-qt?).  BTW, if I remove kde-l10n-Japanese, the problem disappears.

Comment 2 Daiki Ueno 2011-01-06 10:15:38 UTC
Well, I can no longer reproduce this on updated F-14 machines.  My test procedure is as follows:

1. pkill -KILL "kded4|kdeinit4"
2. kwrite
3. enlarge font
4. enable ibus-anthy
5. type something 

rpm -qa says:

ibus-anthy-1.2.5-3.fc14.x86_64
kde-l10n-4.5.4-1.fc14.noarch
ibus-1.3.9-1.fc14.x86_64
kde-i18n-Korean-3.5.10-12.fc13.noarch
kde-l10n-Japanese-4.5.4-1.fc14.noarch
kdebase-4.5.4-1.fc14.x86_64
ibus-qt-1.3.1-3.fc14.x86_64
ibus-hangul-1.3.0.20100329-3.fc14.x86_64

Could you retest?

Comment 3 Daiki Ueno 2011-03-02 08:24:28 UTC
Closing.  If you find reproducible steps, please reopen with the new recipe.


Note You need to log in before you can comment on or make changes to this bug.